import processing.serial.*;

import cc.arduino.*;
import org.firmata.*;

int redPin = 3;
int greenPin = 5;
int bluePin = 6;
int groundPin = 4;

Arduino arduino;

PImage img;
void setup()
{
  //print out a list of Arduino serial ports
  String[] ports = Arduino.list();
  for (int i=0; i<ports.length; i++)
  {
    println("Port "+i+":\t"+ports[i]);
  }

  //setup your arduino as port enumerated as 3
  arduino = new Arduino(this, Arduino.list()[3], 57600);

  //make the red, green, and blue pins outputs
  arduino.pinMode(redPin, Arduino.OUTPUT);
  arduino.pinMode(greenPin, Arduino.OUTPUT);
  arduino.pinMode(bluePin, Arduino.OUTPUT);

  //connect the center pin of the LED to ground
  arduino.pinMode(groundPin, Arduino.OUTPUT);
  arduino.digitalWrite(groundPin, Arduino.LOW);
  
  //load image into processing
  img = loadImage("wheel.png");
  
  //make the screen the same size as the image
  size(730, 730);
}

//use color picker to select a color to create below
//http://www.colorpicker.com/
void draw()
{
  //display the image starting at point (0,0)
   image(img,0,0);
  
  
}

//change this to void mouseMoved() from mouseClicked() to get a really fun effect
void mouseMoved()
{ 
 //get the color of the pixel that you selected
  color c = img.get(mouseX, mouseY);
  
  //extract the three different colors
  float r = red(c);
  float g = green(c);
  float b = blue(c);
  
  //write these three colors to the Arduino
  arduino.analogWrite(redPin, (int)r);
  arduino.analogWrite(bluePin, (int)b-20); //subtract 20 to knock down the intensity of each color
  arduino.analogWrite(greenPin, (int)g-20);
}