import processing.serial.*;

import cc.arduino.*;
import org.firmata.*;


Arduino arduino;
void setup()
{
  //print out a list of Arduino serial ports
  String[] ports = Arduino.list();
  for (int i=0; i<ports.length; i++)
  {
    println("Port "+i+":\t"+ports[i]);
  }

  //setup your arduino as port enumerated as 3
  arduino = new Arduino(this, Arduino.list()[3], 57600);
  
  size(800, 600);
}

void draw()
{
  background(255);
  
  //read in the sensor value from Analog Input 0
  int value = arduino.analogRead(0); 

  //use a magic number to calculate how far away the object is
  float inches = value * 0.4982;

  //draw a circle on the screen based upon that distance. 
  fill(204,102,0);
  ellipse(width/2, height/2, 2*inches, 2*inches);
  
  //Write some text in the middle of the circle
  fill(127, 0, 0);
  textAlign(CENTER);
  text(inches, width/2, height/2);

  //delay a short time so we don't get a wall of text
  delay(100);
}